<script src="https://www.2checkout.com/static/checkout/javascript/direct.min.js"></script>

<section class='panel' data-ng-controller="OrdersController" data-ng-init="findOne()">








    <div class='loading-container' ng-show="!order">
        Loading...
    </div>
    <div class="screen-container" ng-show="order.cart">
        <header class="panel-heading higher-panel-heading">
            Order for {{order[0].user.username}}
            <div class="pull-right">Total Price: {{getOrderPriceCart() | numeral:'$0,0.00'}}</div>



        </header>


        <table ng-table="orderParams" show-filter="false" class="ng-table-responsive table table-striped table-advance table-hover orders">
            <tr data-ng-repeat="order in $data">
                <td data-title="'Created'" sortable="'created'"><a data-ng-href="#!/orders/{{order._id}}">{{order.created
                        | fromNow}}</a></td>
                <td data-title="'URL'" sortable="'url'">
                    <a class='copy-url' data-ng-href="#!/orders/{{order._id}}">{{order.url | cut:true:40:' ...'}}</a>
                </td>
                <td data-title="'Price'">{{order.price}}</td>
            </tr>
        </table>



    </div>
    <div class='screen-container' ng-hide="!order || creditPayment || order.cart">
        <header class="panel-heading higher-panel-heading">
            Order for <a ng-if="!adminEdit" href="{{order.url | prependHttp}}" target="_blank">{{order.url |
                cut:true:55:' ...'}}</a>
            <input ng-if="adminEdit" ng-model="order.url" style="width: 60%;" />
            <!-- <div>Edit url </div> -->
            <span data-ng-show="global.hasRole('admin')">
                <a class="btn" data-ng-click="remove();">
                    <i class="glyphicon glyphicon-trash"></i>
                </a>
                <button ng-show="global.hasRole('admin')" ng-click='returnBalance(order._id)' class='btn btn-danger btn-action-delete'>Return
                    to Balance</button>
                <button ng-show="global.hasRole('admin') && order.refund && !order.refunded" ng-click='refunded(order._id)'
                    class='btn btn-success btn-action-complete'>Refunded</button>
                <button ng-show="global.hasRole('admin') && !adminEdit && order.refund && !order.refunded" class="btn btn-success btn-action-complete"
                    ng-click="adminEdit = !adminEdit">Edit URL </button>
                <button ng-show="global.hasRole('admin') && adminEdit" class="btn btn-danger btn-action-delete"
                    ng-click="adminEdit = !adminEdit">Cancel </button>
                <button ng-show="global.hasRole('admin') && adminEdit" class="btn btn-success btn-action-complete"
                    ng-click="updateUrl(order._id, order.url); adminEdit = false;"> Save </button>

            </span>

            <span data-ng-show="!global.hasRole('admin')">
                <button ng-show="order.refund && !order.refunded && !adminEdit" ng-click='returnBalance(order._id, true)'
                    class='btn btn-danger btn-action-delete'>Refund to Rantic Balance</button>





            </span>

            <div class="pull-right">Total Price: {{getOrderPrice() | numeral:'$0,0.00'}}</div>

            <span class='pull-right order-status order-status-progress' ng-if="order.refund && !order.refunded"
                popover-trigger="mouseenter" popover-placement="bottom" popover="We couldn't deliver the order, one of the reasons for it could be because the Privacy issues, URL was wrong or we do not support your page.">
                Failed to deliver
            </span>
            <span class='pull-right order-status order-status-verifying' ng-if="order.refunded" popover-trigger="mouseenter"
                popover-placement="bottom" popover="Order has been refunded.">
                Refunded
            </span>

            <span class='pull-right order-status order-status-progress' ng-if="order.paid &&  !order.completed && order.verified && !order.refund"
                popover-trigger="mouseenter" popover-placement="bottom" popover="Your payment is going through fraud check.">
                Verifying payment</span>

            <span class='pull-right order-status order-status-progress' ng-if="order.paid && !order.provider && !order.completed && !order.cancelled && !order.verified && !order.manual_verify && !order.refund"
                popover-trigger="mouseenter" popover-placement="bottom" popover="Your order is queued to be processed by Rantic. Keep an eye on this page to receive the updated status for your order.Due to a large volume of orders received and processed by Rantic, orders may remain in queue for several hours. If you believe that your order is taking too long, please contact support.">In
                Progress</span>
            <span class='pull-right order-status order-status-completed' ng-if="order.paid && order.completed && !order.cancelled && order.my_test && !order.refund"
                popover-trigger="mouseenter" popover-placement="bottom" popover="This order has been delivered.">Completed</span>

            <span class='pull-right order-status order-status-progress' ng-if="order.paid && order.provider && !order.completed && !order.cancelled && !order.manual_verify && !order.refund"
                popover-trigger="mouseenter" popover-placement="bottom" popover="Your order is being processed by Rantic. We will notify you upon completion!">In
                Progress</span>
            <span class='pull-right order-status order-status-progress' ng-if="order.paid && !order.completed && !order.cancelled &&  !order.verified && order.manual_verify && !order.refund"
                popover-trigger="mouseenter" popover-placement="bottom" popover="Your order is being processed by Rantic. We will notify you upon completion!">Manual
                Check</span>
            <span class='pull-right order-status order-status-cancelled' ng-if="order.paid && order.cancelled && !order.refund"
                popover-trigger="mouseenter" popover-placement="bottom" popover="Your order has been cancelled. Stated reason: {{order.reason}}">Cancelled</span>
            <span class='pull-right order-status order-status-verifying && !order.refund' ng-if="!order.paid && order.checkout"
                popover-trigger="mouseenter" popover-placement="bottom" popover="A payment process was initiated for this order that is awaiting authorization">Authorizing
                Payment</span>
            <span class='pull-right order-status order-status-cancelled' ng-if="!order.paid && !order.checkout && !order.refund"
                popover-trigger="mouseenter" popover-placement="bottom" popover="The customer has abandoned the checkout process">
                <button ng-if="!global.user.balance || global.user.balance < order.price" ng-click='payForAbandoned(order._id,getOrderPrice(), "paypal")'
                    class='btn btn-warning'>Pay with Paypal</button>
                <button ng-if="!global.user.balance || global.user.balance < order.price" ng-click='payForAbandoned(order._id,getOrderPrice(), "cc")'
                    class='btn btn-warning'>Pay with Credit Card</button>
                <button ng-if="global.user.balance && global.user.balance >= order.price && global.user.refund_balance < order.price"
                    ng-click='payForAbandoned(order._id,getOrderPrice())' class='btn btn-warning'>Reduce from balance</button>
                <button ng-if="global.user.refund_balance && global.user.refund_balance >= order.price" ng-click='payForAbandoned(order._id,getOrderPrice(), true)'
                    class='btn btn-warning'>Reduce from refund balance</button>
                <span class="pull-left" style="margin-right: 10px;" ng-if="global.user.balance && global.user.balance < order.price">Reduced
                    price due balance, real price: {{ order.price - global.user.balance}} </span>

                Abandoned Checkout</span>

            <div data-ng-show="!global.hasRole('admin') && order.refund && !order.refunded">

                Most common reason for failing order is invalid URL, please double check your order address and try
                again.
                <span style="float:right; margin-right: 10%;">
                    <button ng-show="order.refund && !order.refunded && !adminEdit" class="btn btn-success btn-action-complete"
                        ng-click="adminEdit = !adminEdit">Click here to fix URL</button>
                    <button ng-show="adminEdit" class="btn btn-danger btn-action-delete" ng-click="adminEdit = !adminEdit">Cancel
                    </button>
                    <button ng-show="adminEdit" class="btn btn-success btn-action-complete" ng-click="updateUrl(order._id, order.url, true); adminEdit = false;">
                        Save </button>
                </span>

            </div>
        </header>
        <div class="panel-body order-details-panel">


            <div class='counts-container'>
                <div class='col-md-6 count-column' ng-show="global.hasRole('admin')">
                    <div class='count no-count' ng-if='!order.api_id'>
                        <input class='col-md-6 api_first' type='text' ng-model='api.key'>
                        <button ng-click='changeAPI_ID(api.key, order._id)' class='btn btn-action btn-action-claim'>Change
                            API ID</button>
                    </div>
                    <div class='count no-count' ng-if='order.api_id'>
                        <input class='col-md-6 api_second' ng-model='order.api_id'>

                        <button ng-click='changeAPI_ID(order.api_id, order._id)' class='btn btn-action btn-action-claim'>Change
                            API ID</button>
                    </div>
                </div>
                <div class='col-md-3 count-column' ng-show="global.hasRole('admin')">
                    <div class='count no-count'>

                    </div>

                </div>
            </div>

            <br class='clear'>
            <h3 class='order-summary'><strong>{{order.orderCount | numeral}}</strong> units of the '<strong>{{order.service.label}}</strong>'
                service at a price of <strong>{{getOrderServicePrice() | numeral:'$0,0.00'}}</strong> per <strong>{{order.service.multiplier
                    | numeral}}</strong> units</h3>
            <h3 class='order-summary' ng-show="order.discount.percent">{{order.discount.percent | numeral:'%0,0.00'}}
                off</h3>
            <h3 class='order-summary' ng-show="order.discount.price">{{order.discount.price | numeral:'$0,0.00'}} off</h3>
            <h3 class='order-summary' ng-show="global.hasRole('admin')">Email: {{order.user.email}}</h3>
            <h3 class='order-summary' ng-show="global.hasRole('admin')" ng-if="order.service.value=='unlimited_fb'">
                <p>API - Smmlite :: {{order.emoticon}} </p>
            </h3>
            <h3 class='order-summary' ng-show="global.hasRole('admin')" ng-if="order.service.value=='yt_views_smlite_packages'">
                <p> API - Smmlite :: {{order.emoticon}} </p>


            </h3>

            <h3 class='order-summary' ng-show="global.hasRole('admin')" ng-if="order.service.value=='tw_targeted' || order.service.value == 'yt_sm_target'">
                <p ng-repeat="list in countryList" ng-if="list.api_code == order.emoticon">{{list.title}}</p>

            </h3>

            <h3 class='order-summary'>{{order.payment_type}}: {{order.transaction}}
                <h3 class='order-summary' ng-show="countriesToString()">Countries: {{countriesToString()}}</h3>
                <h3 class='order-summary order-status-cancelled' ng-show="order.cancelled && !order.refunded">This
                    order has been cancelled. Stated reason: {{order.reason}}</h3>
                <h3 class='order-summary' ng-show="global.hasRole('admin') && order.discount && order.discount.code">Discount
                    code {{order.discount.code}} </h3>
                <div class='place-cancelled-order' ng-show="order.cancelled && global.hasRole('customer')">
                    If the issue causing the cancellation has been resolved by you, or if you believe this was a
                    mistake, <a ui-sref='create order'>click here to place a new order</a>.
                </div>
                <div class='counts-container' ng-hide="isTrafficService()">
                    <div class='col-md-6 count-column' ng-show="global.hasRole('admin')">

                        <div class='count' ng-hide="!order.beforeCount"><input class='col-md-6 beforeCount' type='text'
                                value='{{order.beforeCount | numeral}}'> <button ng-click="countChanger(order._id,'beforeCount')"
                                class='btn btn-action btn-action-claim'> Edit initial count</button></div>


                        <div class='count no-count' ng-show="!order.beforeCount" popover-trigger="mouseenter"
                            popover-placement="top" popover="If the order was placed less than a few hours ago, the count might take a while to appear."><input
                                class='col-md-6 beforeCount2' type='text' value='0'> <button ng-click="countChanger(order._id,'beforeCount2')"
                                class='btn btn-action btn-action-claim'> Edit initial count</button></div>

                    </div>
                    <div class='col-md-6 count-column' ng-show="global.hasRole('admin')">
                        <div class='count' ng-hide="!order.afterCount"><input class='col-md-6 afterCount' type='text'
                                value='{{order.afterCount | numeral}}'> <button ng-click="countChanger(order._id,'afterCount')"
                                class='btn btn-action btn-action-claim'> Edit latest count</button></div>

                        <div class='count no-count' ng-show="!order.afterCount" popover-trigger="mouseenter"
                            popover-placement="top" popover="If the order was placed less than a few hours ago, the count might take a while to appear."><input
                                class='col-md-6 afterCount2' type='text' value='0'> <button ng-click="countChanger(order._id,'afterCount2')"
                                class='btn btn-action btn-action-claim'> Edit latest count</button></div>

                    </div>
                    <br class='clear'>
                </div>
                <div class='counts-container' ng-show="isTrafficService()">
                    <center>Counts are not available for this service. To see the progress of the order, please use
                        Google Analytics on your resource.</center>
                </div>
        </div>
        <div class='panel-body order-actions-panel'>
            <div class='order-actions-container-left pull-left' ng-show="global.hasRole('admin') || global.hasRole('provider')">
                <button class='btn btn-danger btn-action-delete' ng-hide="!global.hasRole('admin')" data-ng-click="remove();">Delete
                    Order</button>
                <button class='btn btn-warning btn-action-cancel' ng-hide="order.cancelled || order.completed"
                    data-ng-click="cancel();">Cancel Order</button>
                <a data-ng-href="#!/orders/user/{{order._id}}"><button class='btn btn-action btn-action-claim' ng-hide="order.cancelled || order.completed">Edit
                        Order</button></a>

                <a data-ng-href="#!/orders/user/create/{{order._id}}">
                    <button class='btn btn-action btn-action-claim' ng-hide="order.cancelled || order.completed">Create
                        new Order</button></a>
            </div>
            <div class='order-actions-container-right pull-right' ng-show="global.hasRole('admin') || global.hasRole('provider')">
                <!--    <button class='btn btn-danger btn-action-cancel' ng-show="order.paid && !order.cancelled && order.completed && !order.verified && global.hasRole('admin')" data-ng-click="unapprove();">Unapprove Order</button>
                <button class='btn btn-success btn-action-complete' ng-show="order.paid && !order.cancelled && order.completed && !order.verified && global.hasRole('admin')" data-ng-click="approve();">Approve Order</button>
              -->
                <select ng-init='statusChange.label = statusChange[0]' ng-model='statusChange.label' class='form-control col-md-5'
                    ng-options='statusChange.label for statusChange in statusChange'>



                </select>
                <button class='btn btn-success btn-action-complete form-control col-md-5' data-ng-click="changeStatus(order._id, statusChange.label);">Change
                    status</button>
                <button class='btn btn-action btn-action-claim' ng-hide="!order.paid || order.provider || global.hasRole('admin')"
                    data-ng-click="claim();">Claim Order</button>





            </div>

            <div class='col-md-12 count-column' ng-show="global.hasRole('admin')" ng-if="order.order_tmp && order.order_tmp != order.quantity">
                <h3 style="color: #f1c500;">{{order.quantity-order.order_tmp}} for Free.</h3>
            </div>



        </div>
        <div class="panel-body" ng-show="!order.paid && !order.checkout">
            <h2>The payment never went through, You have probably abandoned checkout or never successfully went through
                the payment process. If you have any question please contact support@rantic.com</h2>
        </div>

        <div class="panel-body" ng-show="order.paid && order.checkout">
            <h2>Order Messages</h2>
            <p ng-if="!order.comments">You can get in touch with Rantic staff by posting a message directly on this
                order. We will get back to you shortly.</p>
            <div class='comments'>
                <div class='single-comment' ng-repeat="comment in order.comments">
                    <h4>{{comment.user.name}}<span>{{comment.date | date:'yyyy-MM-dd HH:mm'}}</span></h4>
                    <span ng-bind-html="getCommentHtml(comment.text)"></span>
                </div>
            </div>
            <div class='new-comment'>
                <form method="post">
                    <textarea ng-model="newOrderComment" redactor="{buttons: ['formatting', '|', 'bold', 'italic']}"
                        cols="30" rows="10" />

                    <div class='new-comment-buttons'>
                        <button class='btn btn-action pull-right' ng-click="sendMessage(newOrderComment); messageSent.disabled=true" ng-disabled='messageSent.disabled'>Send Message</button>
                    </div>
                </form>
            </div>
            <div class='col-md-7' ng-show="global.hasRole('admin') && ig_comments[0].name" ng-if="order.service.value == 'fb_comments_customelite' || order.service.value == 'yt_custom_elite' || order.service.value == 'ig_mentions_hashtag' || order.service.value == 'ig_mentions_followers' || order.service.value == 'ig_mentions_likers'">
                <div   ng-repeat="ig in ig_comments track by $index">

                   <input type='text' ng-model='ig.name' class='form-control'>
                </div>

            </div>


             <div class='col-md-7' ng-show="global.hasRole('admin') && ig_mentions[0].name && order.service.value != 'yt_custom_elite'">

                <div  ng-repeat="mentions in ig_mentions track by $index">

                   <input type='text' ng-model='mentions.name' class='form-control'>
                </div>

            </div>


            <div class='col-md-7' ng-show="global.hasRole('admin') && order.hashtag.length">
                <label class='col-md-2' style='margin-top: 10px;'>HashTag</label>
              <div class='col-md-10'>
                   <input type='text' ng-model='order.hashtag' class='form-control'>
              </div>


            </div>


              <div class='col-md-7' ng-show="global.hasRole('admin') && order.followers.length">
                <label class='col-md-2' style='margin-top: 10px;'>Followers</label>
              <div class='col-md-10'>
                   <input type='text' ng-model='order.followers' class='form-control'>
              </div>


            </div>

             <div class='col-md-7' ng-show="global.hasRole('admin') && order.ig_media.length">
                <label class='col-md-2' style='margin-top: 10px;'>Post </label>
              <div class='col-md-10'>
                   <input type='text' ng-model='order.ig_media' class='form-control'>
              </div>


            </div>




            <div class='col-md-7' ng-show="global.hasRole('admin')">
                <label class='col-md-2' style='margin-top: 10px;'>URL</label>
                 <div class='col-md-10 '>
                <input type='text' class='form-control' ng-model='order.url'>
                </div>
              <label class='col-md-2' style='margin-top: 10px;'>Count</label>
              <div class='col-md-2'>
                <input type='text' class='form-control' ng-model='order.orderCount'></div>
                <div class='col-md-4 col-md-offset-5'>
                <button class='btn btn-primary' ng-click='resubmit()'>ReOrder</button>
            </div>
            </div>





        </div>
    </div>
</section>